function plot_data(X, y)
figure;
hold on;
positive = find(y == 1);
plot(X(positive, 1), X(positive, 2), 'r+', 'MarkerSize', 5, 'LineWidth', 3);
negative = find(y == 0);
plot(X(negative, 1), X(negative, 2), 'bo', 'MarkerSize', 5, 'LineWidth', 3);
hold off;
end
